---
title: String.prototype.blink()
slug: Web/JavaScript/Reference/Global_Objects/String/blink
tags:
  - Deprecated
  - HTML wrapper methods
  - JavaScript
  - Method
  - Prototype
  - Reference
  - String
---
<div>{{JSRef}} {{deprecated_header}}</div>

<p>The <strong><code>blink()</code></strong> method creates a {{HTMLElement("blink")}} HTML element that causes a string to blink.</p>

<div class="warning">
<p><strong>Warning:</strong> Blinking text is frowned upon by several accessibility standards. The <code>&lt;blink&gt;</code> element itself is non-standard and deprecated!</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>str</var>.blink()</pre>

<h3 id="Return_value">Return value</h3>

<p>A string containing a {{HTMLElement("blink")}} HTML element.</p>

<h2 id="Description">Description</h2>

<p>The <code>blink()</code> method embeds a string in a <code>&lt;blink&gt;</code> element: "<code>&lt;blink&gt;str&lt;/blink&gt;</code>".</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_blink">Using blink()</h3>

<p>The following example uses string methods to change the formatting of a string:</p>

<pre class="brush: js notranslate">var worldString = 'Hello, world';

console.log(worldString.blink());   // &lt;blink&gt;Hello, world&lt;/blink&gt;
console.log(worldString.bold());    // &lt;b&gt;Hello, world&lt;/b&gt;
console.log(worldString.italics()); // &lt;i&gt;Hello, world&lt;/i&gt;
console.log(worldString.strike());  // &lt;strike&gt;Hello, world&lt;/strike&gt;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-string.prototype.blink', 'String.prototype.blink')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.String.blink")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("String.prototype.bold()")}}</li>
 <li>{{jsxref("String.prototype.italics()")}}</li>
 <li>{{jsxref("String.prototype.strike()")}}</li>
</ul>
